<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwConfigs</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
  <meta content="Oliver Holme" name="author">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr>
      <td
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Component Name</span><br>
      </td>
      <td colspan="1" rowspan="1"
 style="vertical-align: top; text-align: center;"><span
 style="font-weight: bold;">fwConfigs</span><br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Description<br>
      </strong></td>
      <td colspan="1" width="78%">
      <p>Provides access to read and write to the supported PVSS configs. Library
        functions and user interface panels are provided to manage the configs
        from both CTRL Script and User Interface.</p>
      <p>The supported configs are:</p>
      <blockquote>
        <p>Alert Handling  (_alert_hdl)
		<br>
		Archiving (_archive)
		<br>Command/Message Conversion (_cmd_conv &amp; _msg_conv)
		<br>DP Function (_dp_fct)
		<br>Original Value (_original)
		<br>Peripheral Address (_distrib &amp; _address)
		<br>PV Range (_pv_range)
		<br>Smoothing (_smooth)
		<br>
		And in addition the Format and Unit of the common config can be set
          (_common)<br><br>
        </p>
        </blockquote></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Dependencies<br>
      </strong></td>
      <td colspan="1">None - distributed as part of the fwCore.<br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Additional software required<br>
      </strong></td>
      <td colspan="1">None<br>
      <ul>
        <ul>
        </ul>
      </ul>
      </td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 95%;" border="1">
  <tbody>
    <tr>
      <td colspan="2" rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Panels</span><span
 style="font-weight: bold;"></span><br>
      </td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">View digital or analog alarms and mask/unmask and acknowledge
        them<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwAlarmOperationPanel.htm">fwAlarmOperationPanel.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">As above but with a Close button for use as a stand-alone
        panel</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwAlarmOperationPopupPanel.htm">fwAlarmOperationPopupPanel.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">View sumary alarms and mask/unmask them<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwAlarmSummaryOperationPanel.htm">fwAlarmSummaryOperationPanel.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">As above but with a Close button for use as a stand-alone
      panel</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwAlarmSummaryOperationPopupPanel.htm">fwAlarmSummaryOperationPopupPanel.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Show and configure the alert handling configuration on the
        given data point elements<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwAlertConfig.htm">fwAlertConfig.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">As above but with a Close button for use as a stand-alone
      panel</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwAlertConfigPopup.htm">fwAlertConfigPopup.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Show and configure the archiving configuration on the
        given data point elements<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwArchiveConfig.htm">fwArchiveConfig.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">As above but with a Close button for use as a stand-alone
      panel</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwArchiveConfigPopup.htm">fwArchiveConfigPopup.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Show and configure the command and message conversion on the
        given data point elements<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwConversionConfig.htm">fwConversionConfig.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">As above but with a Close button for use as a stand-alone
      panel</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwConversionConfigPopup.htm">fwConversionConfigPopup.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Select from a list, the data point elements to configure<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwDpeSelector.htm">fwDpeSelector.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Show and configure the DP function configuration on the
      given data point elements</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwDpFunctionConfig.htm">fwDpFunctionConfig.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">As above but with a Close button for use as a stand-alone
        panel<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwDpFunctionConfigPopup.htm">fwDpFunctionConfigPopup.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Show and configure the value format  on the
      given data point elements</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwFormatConfig.htm">fwFormatConfig.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">As above but with a Close button for use as a stand-alone
        panel<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwFormatConfigPopup.htm">fwFormatConfigPopup.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Show and configure the original value config on the
      given data point elements</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwOriginalConfig.htm">fwOriginalConfig.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">As above but with a Close button for use as a stand-alone
        panel<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwOriginalConfigPopup.htm">fwOriginalConfigPopup.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Show and configure the peripheral address configuration on
        the given data point elements</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwPeriphAddress.htm">fwPeriphAddress.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">As above but with a Close button for use as a stand-alone
      panel</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwPeriphAddressPopup.htm">fwPeriphAddressPopup.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Show and configure the PV range configuration on the
      given data point elements</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwPvRangeConfig.htm">fwPvRangeConfig.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">As above but with a Close button for use as a stand-alone
      panel</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwPvRangeConfigPopup.htm">fwPvRangeConfigPopup.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Show and configure the  smoothing configuration on the
      given data point elements</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwSmoothingConfig.htm">fwSmoothingConfig.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">As above but with a Close button for use as a stand-alone
      panel</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwSmoothingConfigPopup.htm">fwSmoothingConfigPopup.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Show and configure the unit  on the
      given data point elements</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwUnitConfig.htm">fwUnitConfig.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">As above but with a Close button for use as a stand-alone
      panel</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwConfigs/fwUnitConfigPopup.htm">fwUnitConfigPopup.pnl</a></td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 95%;" border="1">
  <tbody>
    <tr>
      <td colspan="2" rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Libraries</span><span
 style="font-weight: bold;"></span><br>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Global help with all functions
in the component library<br>
      </td>
      <td style="vertical-align: top;"><a href="scripts/libs/index.html">All
          functions in
fwConfigs</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library for managing alert handling configs<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwAlertConfig.html">fwAlertConfig.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library for managing archive configs</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwArchive_8ctl.html">fwArchive.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">General library for storing constants related to each config</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwConfigConstants_8ctl.html">fwConfigConstants.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library for managing command and message conversion configs</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwConfigConversion_8ctl.html">fwConfigConversion.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">General utility library for handling configs of any type</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwConfigs_8ctl.html">fwConfigs.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library for managing DP Function configs</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwDpFunction.html">fwDpFunction.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library for handling the Format settings in the Common config</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwFormat_8ctl.html">fwFormat.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library for managing Original value configs</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwOriginal_8ctl.html">fwOriginal.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library for managing Peripheral Addresses with all supported
        communication types</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwPeriphAddress_8ctl.html">fwPeriphAddress.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library containing functions specific to CMW addressing</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwPeriphAddressCMW_8ctl.html">fwPeriphAddressCMW.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library containing functions specific to S7 addressing</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwPeriphAddressS7_8ctl.html">fwPeriphAddressS7.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library for managing PV Range configs</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwPvRange_8ctl.html">fwPvRange.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library for managing Smoothing configs</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwSmoothing_8ctl.html">fwSmoothing.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library for handling the Unit settings in the Common config</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwUnit_8ctl.html">fwUnit.ctl</a></td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
